package cn.com.ctop.performanceappraisal.entity;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;

/**
 * 角色提点比例
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2019-12-10
 */
@Data
@TableName("ctop_role_performance_raise")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_role_performance_raise对象", description = "角色提点比例")
public class RolePerformancRraise {

    /**
     * id
     */
    @TableId(type = IdType.UUID)
    @ApiModelProperty(value = "id")
    private Integer id;
    /**
     * 角色id
     */
    @Excel(name = "角色id", width = 15)
    @ApiModelProperty(value = "角色id")
    private String roleId;
    /**
     * 提点梯度级别
     */
    @Excel(name = "提点梯度级别", width = 15)
    @ApiModelProperty(value = "提点梯度级别")
    private Integer level;
    /**
     * n 千分之n
     */
    @Excel(name = "n 千分之n", width = 15)
    @ApiModelProperty(value = "n 千分之n")
    private java.math.BigDecimal raiseRate;
    /**
     * n 百分之n
     */
    @Excel(name = "n 百分之n", width = 15)
    @ApiModelProperty(value = "n 百分之n")
    private java.math.BigDecimal videoEfficiencyRate;
    /**
     * 是否可用
     */
    @Excel(name = "是否可用", width = 15)
    @ApiModelProperty(value = "是否可用")
    private Integer enabled;
    /**
     * createTime
     */
    @ApiModelProperty(value = "createTime")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
    /**
     * 1:快手 2：头条
     */
    @Excel(name = "1:快手 2：头条", width = 15)
    @ApiModelProperty(value = "1:快手 2：头条")
    private Integer appType;
}
